update aur32 set 
    adat    = to_date(:adat,'yyyy/mm/dd'),
    tcls    = :tcls,
    vlin    = :vlin,
    amt     = nvl(:amt,0),
    txt2    = :txt2,
    upchg   = :chgcd,
    udat    = sysdate,
    sbat    = :sbat,
    nbil    = decode(:tcls,'99',1,0)
where iseq30 = :iseq30